Changes list
GET /admin/documents/changes
List changes (COs/CDs/PCs) with format-specific fields (reason, cost, days added, consultants).
Authorization
bearer AuthorizationBearer <token>
In: header
Query Parameters
cursor?string
Pagination cursor
limit?string
Page size (1-50, default 25)
sortBy?string
Sort field. Supported: createdAt, updatedAt, dueDate, title.
sortOrder?string
Sort direction (default: desc)
Value in
"asc" | "desc"status?string
Filter by document status (comma-separated)
Length
length <= 500search?string
Search by title or document id/number
Length
length <= 500projectId?string
Filter by project ID
organizationId?string
Filter by organization ID
filter.status?string
Length
length <= 500filter.dueDate?string
Length
length <= 25filter.createdAt?string
Length
length <= 25filter.issuedAt?string
Length
length <= 25includeMeta?string
Include meta.filters with enum values for filterable columns
Value in
"true"Response Body
application/json
curl -X GET "https://api.part3.io/v1/admin/documents/changes"{
"data": [
{
"uid": "string",
"id": null,
"format": "string",
"type": "string",
"title": null,
"status": "string",
"priority": null,
"dueDate": null,
"issuedAt": null,
"createdAt": null,
"updatedAt": null,
"projectId": "string",
"projectName": null,
"organizationId": null,
"organizationName": null,
"reason": null,
"pricing": null,
"daysAdded": null,
"consultants": [
{}
],
"parentUid": null,
"parentId": null,
"childUid": null,
"childId": null,
"childType": null
}
],
"total": 0,
"nextCursor": null,
"hasMore": true,
"meta": {}
}